Package org.eclipse.microprofile.openapi.apps.petstore.model

## Class ApiResponse

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.model.ApiResponse

    public class ApiResponse
    extends Object

### Field Summary

Fields
`static int` `ERROR`
`static int` `INFO`
`static int` `OK`
`static int` `TOO_BUSY`
`static int` `WARNING`

### Constructor Summary

Constructors
`ApiResponse()`
`ApiResponse​(int code, String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCode()`
`String` `getMessage()`
`String` `getType()`
`void` `setCode​(int code)`
`void` `setMessage​(String message)`
`void` `setType​(String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

#### WARNING

    public static final int WARNING

See Also:
  Constant Field Values

#### INFO

    public static final int INFO

See Also:
  Constant Field Values

#### OK

    public static final int OK

See Also:
  Constant Field Values

#### TOO_BUSY

    public static final int TOO_BUSY

See Also:
  Constant Field Values

### Constructor Detail

#### ApiResponse

    public ApiResponse()

#### ApiResponse

    public ApiResponse​(int code,
                       String message)

### Method Detail

#### getCode

    public int getCode()

#### setCode

    public void setCode​(int code)

#### getType

    public String getType()

#### setType

    public void setType​(String type)

#### getMessage

    public String getMessage()

#### setMessage

    public void setMessage​(String message)